search cancel

A DLL required for this install to complete could not be run - Error message when installing Enforce server application

book

Article ID: 175997

calendar_today

Updated On:

Products

Data Loss Prevention Enforce

Issue/Introduction

You are installing (or upgrading) an Enforce server 

You have a working connection to a compatible Oracle database server

However when you run the Enforce.msi installation, after entering the valid connection settings on the Oracle Database Connection Settings screen you receive an error. 

There is a problem with the Windows Installer Package. A DLL required for this install to complete could not be run. Contact your support personnel or package vendor.

Environment

14.x, 15.x

Cause

You have installed a 32-bit version of the Oracle client on a 64-bit Operating System.

Resolution

Uninstall the 32-bit Oracle Client and install the 64-bit client. Ensure that you select the 'Administrator' version of the Oracle client software when installing it. 

Attachments